Bug 17466 - Gpk-update-viewer treats blocked updates as normal once
Summary: Gpk-update-viewer treats blocked updates as normal once
Status: RESOLVED FIXED
Alias: None
Product: PackageKit
Classification: Unclassified
Component: General (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Richard Hughes
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-07 04:30 UTC by Sebastian Heinlein
Modified: 2008-09-09 02:36 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
fixed in git (57.93 KB, image/png)
2008-09-09 02:33 UTC, Richard Hughes
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sebastian Heinlein 2008-09-07 04:30:55 UTC
It is possible in apt to hold back updates if they would install/remove other packages. But to keep the user informed about these updates I use the blocked info for those. Gpk-update-viewer should not select them by default in the review pane or even not allow to select them at all.
Comment 1 Richard Hughes 2008-09-08 04:36:34 UTC
Sure, valid. Should they just be unticked or unticked and greyed out (unclickable)? If it's the latter there'll need to be some sort of message to the user.
Comment 2 Sebastian Heinlein 2008-09-08 13:38:18 UTC
Grey out. An alternative would be to show the required changes (this could include the removal of other packages), but can we do this with get-depends?
Comment 3 Richard Hughes 2008-09-09 02:33:29 UTC
Created attachment 18773 [details]
fixed in git

It now looks like this in git.
Comment 4 Richard Hughes 2008-09-09 02:36:39 UTC
I don't think it's a good idea to show the user any sort of detail -- the concept of a blocked update just needs explaining in the help file, and then the user can drop to apt-get or similar if the blocked update needs to remove other stuff to continue. For the typical end users (http://www.packagekit.org/pk-profiles.html) I don't think it's important to show details.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.